sailpoint.object

## Class IntegrationConfig

- java.lang.Object
- - sailpoint.object.IntegrationConfig

    public class IntegrationConfig
    extends java.lang.Object

The target integration application object that references this before/after rule.

### Field Summary

Fields
`static java.lang.String` `ATT_GROUP_PROVISIONING`
`static java.lang.String` `ATT_HOST`
`static java.lang.String` `ATT_NAME`
`static java.lang.String` `ATT_NO_GROUP_PERMISSIONS`
`static java.lang.String` `ATT_NO_PERMISSIONS`
`static java.lang.String` `ATT_NO_PROVISIONING_REQUESTS`
`static java.lang.String` `ATT_OPERATIONS`
`static java.lang.String` `ATT_PASSWORD`
`static java.lang.String` `ATT_PASSWORD_CONFIRM`
`static java.lang.String` `ATT_PROVISIONING_REQUEST_EXPIRATION`
`static java.lang.String` `ATT_ROLE_SYNC_HISTORY`
`static java.lang.String` `ATT_SCHEMA_PROVISIONING_MAP`
`static java.lang.String` `ATT_STATUS_SUCCESS_IS_COMMITTED`
`static java.lang.String` `ATT_UNIVERSAL_MANAGER`
`static java.lang.String` `ATT_URL`
`static java.lang.String` `ATT_USERNAME`
`static java.lang.String` `EXEC_STYLE_REQUEST`
`static java.lang.String` `EXEC_STYLE_SYNCHRONOUS`
`static java.lang.String` `OP_SET_PASSWORD`
`static java.lang.String` `ROLE_SYNC_STYLE_ASSIGNABLE`
`static java.lang.String` `ROLE_SYNC_STYLE_DETECTABLE`
`static java.lang.String` `ROLE_SYNC_STYLE_DUAL`
`static java.lang.String` `ROLE_SYNC_STYLE_NONE`

### Constructor Summary

Constructors
Constructor and Description
`IntegrationConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getAttribute(java.lang.String name)`
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXEC_STYLE_REQUEST

    public static final java.lang.String EXEC_STYLE_REQUEST

See Also:
  Constant Field Values

#### EXEC_STYLE_SYNCHRONOUS

    public static final java.lang.String EXEC_STYLE_SYNCHRONOUS

See Also:
  Constant Field Values

#### ATT_HOST

    public static final java.lang.String ATT_HOST

See Also:
  Constant Field Values

#### ATT_URL

    public static final java.lang.String ATT_URL

See Also:
  Constant Field Values

#### ATT_USERNAME

    public static final java.lang.String ATT_USERNAME

See Also:
  Constant Field Values

#### ATT_NAME

    public static final java.lang.String ATT_NAME

See Also:
  Constant Field Values

#### ATT_PASSWORD

    public static final java.lang.String ATT_PASSWORD

See Also:
  Constant Field Values

#### ATT_PASSWORD_CONFIRM

    public static final java.lang.String ATT_PASSWORD_CONFIRM

See Also:
  Constant Field Values

#### ATT_ROLE_SYNC_HISTORY

    public static final java.lang.String ATT_ROLE_SYNC_HISTORY

See Also:
  Constant Field Values

#### ROLE_SYNC_STYLE_NONE

    public static final java.lang.String ROLE_SYNC_STYLE_NONE

See Also:
  Constant Field Values

#### ROLE_SYNC_STYLE_DETECTABLE

    public static final java.lang.String ROLE_SYNC_STYLE_DETECTABLE

See Also:
  Constant Field Values

#### ROLE_SYNC_STYLE_ASSIGNABLE

    public static final java.lang.String ROLE_SYNC_STYLE_ASSIGNABLE

See Also:
  Constant Field Values

#### ROLE_SYNC_STYLE_DUAL

    public static final java.lang.String ROLE_SYNC_STYLE_DUAL

See Also:
  Constant Field Values

#### ATT_UNIVERSAL_MANAGER

    public static final java.lang.String ATT_UNIVERSAL_MANAGER

See Also:
  Constant Field Values

#### ATT_OPERATIONS

    public static final java.lang.String ATT_OPERATIONS

See Also:
  Constant Field Values

#### OP_SET_PASSWORD

    public static final java.lang.String OP_SET_PASSWORD

See Also:
  Constant Field Values

#### ATT_NO_PROVISIONING_REQUESTS

    public static final java.lang.String ATT_NO_PROVISIONING_REQUESTS

See Also:
  Constant Field Values

#### ATT_PROVISIONING_REQUEST_EXPIRATION

    public static final java.lang.String ATT_PROVISIONING_REQUEST_EXPIRATION

See Also:
  Constant Field Values

#### ATT_NO_PERMISSIONS

    public static final java.lang.String ATT_NO_PERMISSIONS

See Also:
  Constant Field Values

#### ATT_NO_GROUP_PERMISSIONS

    public static final java.lang.String ATT_NO_GROUP_PERMISSIONS

See Also:
  Constant Field Values

#### ATT_GROUP_PROVISIONING

    public static final java.lang.String ATT_GROUP_PROVISIONING

See Also:
  Constant Field Values

#### ATT_SCHEMA_PROVISIONING_MAP

    public static final java.lang.String ATT_SCHEMA_PROVISIONING_MAP

See Also:
  Constant Field Values

#### ATT_STATUS_SUCCESS_IS_COMMITTED

    public static final java.lang.String ATT_STATUS_SUCCESS_IS_COMMITTED

See Also:
  Constant Field Values

### Constructor Detail

#### IntegrationConfig

    public IntegrationConfig()

### Method Detail

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

#### getName

    public java.lang.String getName()